use "C:\Users\cmg\Dropbox\Coalitions Paper\CPS 2011\Final Files\Replication Dataset.dta", clear 

* TABLE 2
** NOTE that results were printed in the CPS with an error in column 3. Estimates for model 3 differ slightly but there is no substantive change to results
** Corrected version of Table can be found in http://ceciliamg.web.unc.edu/

* Reduced Model (dev_weights collinear with spgov)
stcox decree_O spgov mwc mincoal decree_effec effectiv fract disci time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_2010.txt", nolabel replace  addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll))  adec (0) bdec(3) tdec(3)

* Approval
stcox decree_O spgov mwc mincoal decree_effec effectiv fract disci approval time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_2010.txt", nolabel append  addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Bargaining -- baseline is min pres/maj gov 
stcox majority_p minority effectiv fract disci dev_weights time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_2010.txt", nolabel append  addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll))  adec (0) bdec(3) tdec(3)

* TABLE A.1

* Reduced Model clustering on president
stcox decree_O spgov mwc mincoal decree_effec effectiv fract disci time_L cpi_ch if incomplete==0, cluster(president) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel replace addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Full Model (with dev_weights and discipline)
stcox decree_O spgov mwc mincoal decree_effec effectiv fract disci dev_weights time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Reduced Model with capabilities/IPIL/membership instead of effectiveness
stcox decree_O spgov mwc mincoal decree_capabilitiespos capabilities_pos fract disci time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Reduced Model with no SPG
stcox decree_O mwc mincoal decree_effec effectiv fract disci time_L cpi_ch if incomplete==0&coalition2==1, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Bargaining Model with discipline and NO decree powers
stcox pres_p majority minority effectiv fract disci dev_weights time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Bargaining model with Minority government * Discipline (majority_p==0&majority_g==0)
stcox majority minority spgov effectiv fract disci minority_disc time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Reduced Model with NC instead of coalition
stcox decree_O NC mwc mincoal decree_effec effectiv fract disci time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Reduced Model with first gov   
stcox decree_O spgov mwc mincoal decree_effec effectiv fract disci firstgov time_L cpi_ch if incomplete==0, cluster(country) nohr
outreg2 using "Z:\Coalitions_append.txt", nolabel append addstat(No. of failures, e(N_fail), No. Clusters, e(N_clust), Log Likelihood, e(ll)) adec (0) bdec(3) tdec(3)

* Table A.2 

gen missing=0
replace missing=1 if approval==.

logit missing decree_O spgov mwc mincoal effectiv fract disci cpi_ch time_L if incomplete==0, cluster(country)
outreg2 using "Z:\Coalitions_missing.txt", nolabel replace bdec(3) tdec(3)

